*  vdtest.prg  Version 1.0  Released 29-Apr-92

* This is a test driver program to illustrate how VdRow() and VdCol() work
* differently than the dBASE IV row() and col() functions.

set talk off
set echo off

set procedure to vdcursor                 && so dBASE can find VdRow...

do VdInit                                 && loads vdcursor.bin

clear
r1 = VdRow()                              && while not in a window
c1 = VdCol()                              && VdRow() = row() and
r1ok = row()                              && VdCol() = col()
c1ok = col()

define window test from 10,20 to 20,59    && create a window
activate window test
r2 = VdRow()                              && while in a window
c2 = VdCol()                              && VdRow() <> row() and
r2bad = row()                             && VdCol() <> col()
c2bad = col()
deactivate window test
release window test

do VdRelease                              && free vdcursor.bin

? "No Window", r1, "=", r1ok, c1, "=", c1ok
? "In Window", r2, "<>", r2bad, c2, "<>", c2bad

set echo on
set talk on
